<div class="content" role="main">
  <mat-form-field class="example-form-field">
  <input matInput type="text" [(ngModel)]="value">
  <button *ngIf="isValueNotEmpty()" matSuffix mat-icon-button aria-label="Clear" (click)="onClickClear()">
    <mat-icon>clear</mat-icon>
  </button>
  </mat-form-field>
  <button mat-flat-button
          [disabled]="!isValueNotEmpty()"
          *ngIf="isShortenButtonVisible()"
           (click)="onClickShorten()">
    Shorten
  </button>
  <button mat-flat-button *ngIf="isCopyButtonVisible()" (click)="onClickCopy()">
    Copy
  </button>
</div>
